Subject: bug#1489: gud.el not working with idb

From: "Alfredo Buttari" <[email-masked]>
Date: Fri, 5 Dec 2008 09:31:55 +0100

Dear Nick,
M-x gud-gdb does not work at all. This is the error I get:

call-interactively: Autoloading failed to define function gud-gdb

Yes I agree this shouldn't be considered a bug. However I imagine it should
be relatively easy to fix since idb provides a gdb compatibility mode (see
the -gdb flag in the debugger command) and would make many users happy. I
may try to learn some lisp and look into this problem myself although
revision 1.136 has everything I need.
Thanks a lot

Alfredo

On Fri, Dec 5, 2008 at 7:04 AM, Nick Roberts <[email-masked]> wrote:

> Chong Yidong writes:
>  > > I just recompiled emacs (latest version from CVS) but I noticed that
>  > > gud.el is not working anymore when used in combination with the intel
>  > > idb debugger.  After "M-x gdb" I provide the debugger command "idb
>  > > -gdb -fullname myexe" (as reported on the idb manual) and the main gud
>  > > window is loaded. At this point, whatever I do gud just hangs.
>  >
>  > I don't have idb available, so I can only try to guess what went wrong.
>  > First of all, does anything change if you change the variable
>  > gud-gdb-command-name from "gdb --fullname" to "gdb --annotate=3"?
>
> This isn't really an Emacs bug as gud.el wasn't designed for idb, but
> `M-x gud-gdb' gives the old functionality that you probably want.
>
> --
> Nick
> http://www.inet.net.nz/~nickrob <http://www.inet.net.nz/%7Enickrob>
>

-- 
-----------------------------------------
Alfredo Buttari, PhD
CNRS-IRIT
2 rue Camichel, 31071 Toulouse, France
http://alfredobuttari.wordpress.com